Bug 1990146 - some controllers missing livenessProbe
Summary: some controllers missing livenessProbe
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Jonathan Dobson
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-04 21:03 UTC by Jonathan Dobson
Modified: 2021-10-18 17:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:45:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift aws-ebs-csi-driver-operator pull 134 0 None None None 2021-08-04 21:29:36 UTC
Github openshift aws-efs-csi-driver-operator pull 14 0 None None None 2021-08-04 21:29:45 UTC
Github openshift azure-disk-csi-driver-operator pull 28 0 None None None 2021-08-04 21:29:43 UTC
Github openshift gcp-pd-csi-driver-operator pull 32 0 None None None 2021-08-04 21:29:40 UTC
Github openshift ovirt-csi-driver-operator pull 67 0 None None None 2021-08-04 21:29:38 UTC
Github openshift vmware-vsphere-csi-driver-operator pull 39 0 None None None 2021-08-04 21:29:47 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:45:24 UTC

Description Jonathan Dobson 2021-08-04 21:03:16 UTC
While working on bug 1989215 I noticed some of the existing operators are missing livenessProbe from controller.yaml.

For example, in EBS, we open port 10301 but never consume it:
https://github.com/openshift/aws-ebs-csi-driver-operator/blob/master/assets/controller.yaml
But in node.yaml we open port 10300 and there is a livenessProbe section to consume it:
https://github.com/openshift/aws-ebs-csi-driver-operator/blob/master/assets/node.yaml

Review existing operators and add livenessProbe sections where needed.

Comment 4 Wei Duan 2021-08-20 06:39:09 UTC
vSphere verified pass.

Comment 5 Wei Duan 2021-08-24 01:10:50 UTC
GCE verified pass.

Comment 8 errata-xmlrpc 2021-10-18 17:45:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.